{
    "objects": [
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Keyspace selector [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Keyspace selector [Metricbeat Redis] ECS\", \"params\": {\"pinFilters\": false, \"controls\": [{\"fieldName\": \"redis.keyspace.id\", \"id\": \"1545388837304\", \"type\": \"list\", \"label\": \"Keyspace\", \"options\": {\"dynamicOptions\": true, \"multiselect\": true, \"order\": \"desc\", \"size\": 5, \"type\": \"terms\"}, \"indexPattern\": \"metricbeat-*\", \"parent\": \"\"}], \"updateFiltersOnChange\": true, \"useTimeFilter\": false}, \"type\": \"input_control_vis\"}"
            },
            "id": "00d39210-050d-11e9-9c60-d582a238e2c5-ecs",
            "type": "visualization",
            "updated_at": "2018-12-21T11:19:04.179Z",
            "version": 5
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": [{\"query\": {\"match\": {\"redis.key.type\": {\"query\": \"list\", \"type\": \"phrase\"}}}, \"$state\": {\"store\": \"appState\"}, \"meta\": {\"negate\": false, \"disabled\": false, \"index\": \"metricbeat-*\", \"params\": {\"query\": \"list\", \"type\": \"phrase\"}, \"type\": \"phrase\", \"key\": \"redis.key.type\", \"value\": \"list\", \"alias\": null}}], \"index\": \"metricbeat-*\"}"
                },
                "title": "Lists length [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"redis.key.length\", \"customLabel\": \"Number of elements\"}, \"id\": \"1\", \"type\": \"max\"}, {\"enabled\": true, \"schema\": \"group\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 16, \"orderBy\": \"1\", \"otherBucket\": false, \"field\": \"redis.keyspace.id\", \"customLabel\": \"Keyspace\", \"order\": \"desc\"}, \"id\": \"3\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"group\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 20, \"orderBy\": \"1\", \"otherBucket\": true, \"field\": \"redis.key.name\", \"customLabel\": \"Key name\", \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"extended_bounds\": {}, \"interval\": \"auto\", \"min_doc_count\": 1, \"drop_partials\": false, \"useNormalizedEsInterval\": true, \"timeRange\": {\"to\": \"now\", \"mode\": \"quick\", \"from\": \"now-15m\"}, \"time_zone\": \"Europe/Berlin\", \"customInterval\": \"2h\", \"field\": \"@timestamp\"}, \"id\": \"4\", \"type\": \"date_histogram\"}], \"title\": \"Lists length [Metricbeat Redis] ECS\", \"params\": {\"addTimeMarker\": false, \"categoryAxes\": [{\"scale\": {\"type\": \"linear\"}, \"id\": \"CategoryAxis-1\", \"labels\": {\"show\": true, \"truncate\": 100}, \"type\": \"category\", \"style\": {}, \"title\": {}, \"show\": true, \"position\": \"bottom\"}], \"valueAxes\": [{\"scale\": {\"mode\": \"normal\", \"type\": \"linear\"}, \"id\": \"ValueAxis-1\", \"labels\": {\"rotate\": 0, \"show\": true, \"filter\": false, \"truncate\": 100}, \"type\": \"value\", \"name\": \"LeftAxis-1\", \"style\": {}, \"title\": {\"text\": \"Number of elements\"}, \"show\": true, \"position\": \"left\"}], \"times\": [], \"addTooltip\": true, \"seriesParams\": [{\"valueAxis\": \"ValueAxis-1\", \"show\": \"true\", \"mode\": \"normal\", \"type\": \"line\", \"showCircles\": true, \"drawLinesBetweenPoints\": true, \"interpolate\": \"linear\", \"data\": {\"id\": \"1\", \"label\": \"Number of elements\"}}], \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"legendPosition\": \"right\", \"type\": \"line\", \"addLegend\": true}, \"type\": \"line\"}"
            },
            "id": "7f4bc7d0-050c-11e9-9c60-d582a238e2c5-ecs",
            "type": "visualization",
            "updated_at": "2018-12-21T11:22:12.807Z",
            "version": 4
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": [], \"index\": \"metricbeat-*\"}"
                },
                "title": "Keys by type [Metricbeat Redis] ECS",
                "uiStateJSON": "{\"vis\": {\"legendOpen\": false}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"redis.key.id\", \"customLabel\": \"Number of keys\"}, \"id\": \"1\", \"type\": \"cardinality\"}, {\"enabled\": true, \"schema\": \"group\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 5, \"orderBy\": \"1\", \"otherBucket\": false, \"field\": \"redis.key.type\", \"customLabel\": \"Key type\", \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"extended_bounds\": {}, \"interval\": \"auto\", \"min_doc_count\": 1, \"drop_partials\": false, \"useNormalizedEsInterval\": true, \"timeRange\": {\"to\": \"now\", \"mode\": \"quick\", \"from\": \"now-15m\"}, \"time_zone\": \"Europe/Berlin\", \"customInterval\": \"2h\", \"customLabel\": \"\", \"field\": \"@timestamp\"}, \"id\": \"3\", \"type\": \"date_histogram\"}], \"title\": \"Keys by type [Metricbeat Redis] ECS\", \"params\": {\"addTimeMarker\": false, \"categoryAxes\": [{\"scale\": {\"type\": \"linear\"}, \"id\": \"CategoryAxis-1\", \"labels\": {\"show\": true, \"truncate\": 100}, \"type\": \"category\", \"style\": {}, \"title\": {}, \"show\": true, \"position\": \"bottom\"}], \"valueAxes\": [{\"scale\": {\"mode\": \"normal\", \"type\": \"linear\"}, \"id\": \"ValueAxis-1\", \"labels\": {\"rotate\": 0, \"show\": true, \"filter\": false, \"truncate\": 100}, \"type\": \"value\", \"name\": \"LeftAxis-1\", \"style\": {}, \"title\": {\"text\": \"Number of keys\"}, \"show\": true, \"position\": \"left\"}], \"times\": [], \"addTooltip\": true, \"seriesParams\": [{\"valueAxis\": \"ValueAxis-1\", \"show\": \"true\", \"mode\": \"normal\", \"type\": \"line\", \"showCircles\": true, \"drawLinesBetweenPoints\": true, \"data\": {\"id\": \"1\", \"label\": \"Number of keys\"}}], \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"legendPosition\": \"right\", \"type\": \"line\", \"addLegend\": true}, \"type\": \"line\"}"
            },
            "id": "4435ac40-050e-11e9-9c60-d582a238e2c5-ecs",
            "type": "visualization",
            "updated_at": "2018-12-21T11:23:46.207Z",
            "version": 5
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": [{\"query\": {\"match\": {\"redis.key.type\": {\"query\": \"string\", \"type\": \"phrase\"}}}, \"$state\": {\"store\": \"appState\"}, \"meta\": {\"negate\": false, \"disabled\": false, \"index\": \"metricbeat-*\", \"params\": {\"query\": \"string\", \"type\": \"phrase\"}, \"type\": \"phrase\", \"key\": \"redis.key.type\", \"value\": \"string\", \"alias\": null}}], \"index\": \"metricbeat-*\"}"
                },
                "title": "Average string key size [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"redis.key.length\", \"customLabel\": \"Average key size\"}, \"id\": \"1\", \"type\": \"avg\"}, {\"enabled\": true, \"schema\": \"group\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 5, \"orderBy\": \"1\", \"otherBucket\": false, \"field\": \"redis.keyspace.id\", \"customLabel\": \"Keyspace\", \"order\": \"desc\"}, \"id\": \"3\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"extended_bounds\": {}, \"interval\": \"auto\", \"min_doc_count\": 1, \"drop_partials\": false, \"useNormalizedEsInterval\": true, \"timeRange\": {\"to\": \"now\", \"mode\": \"quick\", \"from\": \"now-15m\"}, \"time_zone\": \"Europe/Berlin\", \"customInterval\": \"2h\", \"field\": \"@timestamp\"}, \"id\": \"2\", \"type\": \"date_histogram\"}], \"title\": \"Average string key size [Metricbeat Redis] ECS\", \"params\": {\"addTimeMarker\": false, \"categoryAxes\": [{\"scale\": {\"type\": \"linear\"}, \"id\": \"CategoryAxis-1\", \"labels\": {\"show\": true, \"truncate\": 100}, \"type\": \"category\", \"style\": {}, \"title\": {}, \"show\": true, \"position\": \"bottom\"}], \"valueAxes\": [{\"scale\": {\"mode\": \"normal\", \"type\": \"linear\"}, \"id\": \"ValueAxis-1\", \"labels\": {\"rotate\": 0, \"show\": true, \"filter\": false, \"truncate\": 100}, \"type\": \"value\", \"name\": \"LeftAxis-1\", \"style\": {}, \"title\": {\"text\": \"Average key size\"}, \"show\": true, \"position\": \"left\"}], \"times\": [], \"addTooltip\": true, \"seriesParams\": [{\"valueAxis\": \"ValueAxis-1\", \"show\": \"true\", \"mode\": \"normal\", \"type\": \"line\", \"showCircles\": true, \"drawLinesBetweenPoints\": true, \"data\": {\"id\": \"1\", \"label\": \"Average key size\"}}], \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"legendPosition\": \"right\", \"type\": \"line\", \"addLegend\": true}, \"type\": \"line\"}"
            },
            "id": "8541a4a0-0513-11e9-9c60-d582a238e2c5-ecs",
            "type": "visualization",
            "updated_at": "2018-12-21T11:28:20.970Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": [{\"range\": {\"redis.key.expire.ttl\": {\"lt\": null, \"gte\": 0}}, \"$state\": {\"store\": \"appState\"}, \"meta\": {\"negate\": false, \"disabled\": false, \"index\": \"metricbeat-*\", \"params\": {\"lt\": null, \"gte\": 0}, \"type\": \"range\", \"key\": \"redis.key.expire.ttl\", \"value\": \"0 to +\\u221e\", \"alias\": null}}], \"index\": \"metricbeat-*\"}"
                },
                "title": "Average keys TTL [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"redis.key.expire.ttl\", \"customLabel\": \"Average TTL\"}, \"id\": \"1\", \"type\": \"avg\"}, {\"enabled\": true, \"schema\": \"group\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 5, \"orderBy\": \"1\", \"otherBucket\": false, \"field\": \"redis.keyspace.id\", \"customLabel\": \"Keyspace\", \"order\": \"desc\"}, \"id\": \"4\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"group\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 5, \"orderBy\": \"1\", \"otherBucket\": false, \"field\": \"redis.key.type\", \"customLabel\": \"Key type\", \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"extended_bounds\": {}, \"interval\": \"auto\", \"min_doc_count\": 1, \"drop_partials\": false, \"useNormalizedEsInterval\": true, \"timeRange\": {\"to\": \"now\", \"mode\": \"quick\", \"from\": \"now-15m\"}, \"time_zone\": \"Europe/Berlin\", \"customInterval\": \"2h\", \"field\": \"@timestamp\"}, \"id\": \"3\", \"type\": \"date_histogram\"}], \"title\": \"Average keys TTL [Metricbeat Redis] ECS\", \"params\": {\"addTimeMarker\": false, \"categoryAxes\": [{\"scale\": {\"type\": \"linear\"}, \"id\": \"CategoryAxis-1\", \"labels\": {\"show\": true, \"truncate\": 100}, \"type\": \"category\", \"style\": {}, \"title\": {}, \"show\": true, \"position\": \"bottom\"}], \"valueAxes\": [{\"scale\": {\"mode\": \"normal\", \"type\": \"linear\"}, \"id\": \"ValueAxis-1\", \"labels\": {\"rotate\": 0, \"show\": true, \"filter\": false, \"truncate\": 100}, \"type\": \"value\", \"name\": \"LeftAxis-1\", \"style\": {}, \"title\": {\"text\": \"Average TTL\"}, \"show\": true, \"position\": \"left\"}], \"times\": [], \"addTooltip\": true, \"seriesParams\": [{\"valueAxis\": \"ValueAxis-1\", \"show\": \"true\", \"mode\": \"normal\", \"type\": \"line\", \"showCircles\": true, \"drawLinesBetweenPoints\": true, \"data\": {\"id\": \"1\", \"label\": \"Average TTL\"}}], \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"legendPosition\": \"right\", \"type\": \"line\", \"addLegend\": true}, \"type\": \"line\"}"
            },
            "id": "517a5fd0-0514-11e9-9c60-d582a238e2c5-ecs",
            "type": "visualization",
            "updated_at": "2018-12-21T11:34:03.597Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "Redis keys metrics",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": [{\"query\": {\"bool\": {\"minimum_should_match\": 1, \"should\": [{\"match_phrase\": {\"redis.keyspace.id\": \"db0\"}}, {\"match_phrase\": {\"redis.keyspace.id\": \"db1\"}}]}}, \"$state\": {\"store\": \"appState\"}, \"meta\": {\"negate\": false, \"disabled\": false, \"index\": \"metricbeat-*\", \"params\": [\"db0\", \"db1\"], \"type\": \"phrases\", \"key\": \"redis.keyspace.id\", \"controlledBy\": \"1545388837304\", \"value\": \"db0, db1\", \"alias\": null}}]}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"darkTheme\": false, \"useMargins\": true}",
                "panelsJSON": "[{\"id\": \"00d39210-050d-11e9-9c60-d582a238e2c5-ecs\", \"gridData\": {\"x\": 0, \"i\": \"1\", \"w\": 12, \"y\": 0, \"h\": 5}, \"panelIndex\": \"1\", \"embeddableConfig\": {}, \"version\": \"6.5.2\", \"title\": \"Keyspace selector\", \"type\": \"visualization\"}, {\"id\": \"7f4bc7d0-050c-11e9-9c60-d582a238e2c5-ecs\", \"gridData\": {\"x\": 12, \"i\": \"2\", \"w\": 36, \"y\": 0, \"h\": 15}, \"panelIndex\": \"2\", \"embeddableConfig\": {}, \"version\": \"6.5.2\", \"title\": \"Lists length\", \"type\": \"visualization\"}, {\"id\": \"4435ac40-050e-11e9-9c60-d582a238e2c5-ecs\", \"gridData\": {\"x\": 0, \"i\": \"3\", \"w\": 12, \"y\": 5, \"h\": 10}, \"panelIndex\": \"3\", \"embeddableConfig\": {\"vis\": {\"legendOpen\": false}}, \"version\": \"6.5.2\", \"title\": \"Keys by type\", \"type\": \"visualization\"}, {\"id\": \"8541a4a0-0513-11e9-9c60-d582a238e2c5-ecs\", \"gridData\": {\"x\": 0, \"i\": \"4\", \"w\": 24, \"y\": 15, \"h\": 15}, \"panelIndex\": \"4\", \"embeddableConfig\": {}, \"version\": \"6.5.2\", \"title\": \"Average size of string keys\", \"type\": \"visualization\"}, {\"id\": \"517a5fd0-0514-11e9-9c60-d582a238e2c5-ecs\", \"gridData\": {\"x\": 24, \"i\": \"5\", \"w\": 24, \"y\": 15, \"h\": 15}, \"panelIndex\": \"5\", \"embeddableConfig\": {}, \"version\": \"6.5.2\", \"title\": \"Average keys TTL\", \"type\": \"visualization\"}]",
                "timeRestore": false,
                "title": "[Metricbeat Redis] Keys ECS",
                "version": 1
            },
            "id": "28969190-0511-11e9-9c60-d582a238e2c5-ecs",
            "type": "dashboard",
            "updated_at": "2018-12-21T11:39:13.143Z",
            "version": 4
        }
    ],
    "version": "6.5.2"
}